View Issue Details

IDProjectCategoryView StatusLast Update
0030759FPCFCLpublic2017-03-04 18:38
ReporterGraeme GeldenhuysAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSFreeBSDOS Version10.3
Product Version3.1.1Product Buildr34715 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030759: fcl-passrc parser fails on valid source code in interface section
Descriptionfcl-parser fails to parse source code from the MSEide+MSEgui project. More specifically, the kernel/msescrollbar.pas unit.

The error fpdoc gives (which in turn means the fcl-parser):

../msegui/lib/common/kernel/msescrollbar.pas(300,67): Expected "," or ":" at token "." in file ../msegui/lib/common/kernel/msescrollbar.pas at line 300 column 67

The actual code for line 300 looks as follows:

   property colorglyph: colorty read fdrawinfo.areas[sbbu_down].ca.colorglyph
                   write setcolorglyph default cl_glyph;

Column 67 refers to the dot after ".ca." in the property line.

This code compiles just fine with FPC v2.6.4, v3.0.0, so I assume FPC 3.1.1 shouldn't have a problem with it either.
Tagsfcl-passrc, parser
Fixed in Revision35522
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-03-04 18:38

administrator   ~0098639

Fixed, thanks for reporting!

Issue History

Date Modified Username Field Change
2016-10-19 11:16 Graeme Geldenhuys New Issue
2016-10-19 11:17 Graeme Geldenhuys Tag Attached: fcl-passrc
2016-10-19 11:18 Graeme Geldenhuys Tag Attached: parser
2017-01-30 08:42 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-01-30 08:42 Michael Van Canneyt Status new => assigned
2017-03-04 18:38 Michael Van Canneyt Fixed in Revision => 35522
2017-03-04 18:38 Michael Van Canneyt Note Added: 0098639
2017-03-04 18:38 Michael Van Canneyt Status assigned => resolved
2017-03-04 18:38 Michael Van Canneyt Fixed in Version => 3.1.1
2017-03-04 18:38 Michael Van Canneyt Resolution open => fixed
2017-03-04 18:38 Michael Van Canneyt Target Version => 3.2.0